Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.exhaustivesearch.scope
Class ExhaustiveSearchStepScope

    java.lang.Object
      org.optaplanner.core.impl.phase.scope.AbstractStepScope
          org.optaplanner.core.impl.exhaustivesearch.scope.ExhaustiveSearchStepScope

    public class ExhaustiveSearchStepScope

extends AbstractStepScope

Field Summary

Fields inherited from class org.optaplanner.core.impl.phase.scope.AbstractStepScope
`bestScoreImproved, clonedSolution, score, stepIndex`

Constructor Summary
`ExhaustiveSearchStepScope(ExhaustiveSearchPhaseScope phaseScope)`
`ExhaustiveSearchStepScope(ExhaustiveSearchPhaseScope phaseScope, int stepIndex)`

Method Summary
`long` | `getBreadth()`
`int` | `getDepth()`
`ExhaustiveSearchNode` | `getExpandingNode()`
`ExhaustiveSearchPhaseScope` | `getPhaseScope()`
`Long` | `getSelectedMoveCount()`
`String` | `getTreeId()`
`int` | `getUninitializedVariableCount()`
`void` | `setExpandingNode(ExhaustiveSearchNode expandingNode)`
`void` | `setSelectedMoveCount(Long selectedMoveCount)`

Methods inherited from class org.optaplanner.core.impl.phase.scope.AbstractStepScope
`createOrGetClonedSolution, getBestScoreImproved, getClonedSolution, getScore, getScoreDirector, getStepIndex, getWorkingRandom, getWorkingSolution, hasNoUninitializedVariables, setBestScoreImproved, setClonedSolution, setScore, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExhaustiveSearchStepScope

    public ExhaustiveSearchStepScope(ExhaustiveSearchPhaseScope phaseScope)

### ExhaustiveSearchStepScope

    public ExhaustiveSearchStepScope(ExhaustiveSearchPhaseScope phaseScope,
                                     int stepIndex)

Method Detail

### getPhaseScope

    public ExhaustiveSearchPhaseScope getPhaseScope()

  Specified by:
    `getPhaseScope` in class `AbstractStepScope`

### getExpandingNode

    public ExhaustiveSearchNode getExpandingNode()

### setExpandingNode

    public void setExpandingNode(ExhaustiveSearchNode expandingNode)

### getSelectedMoveCount

    public Long getSelectedMoveCount()

### setSelectedMoveCount

    public void setSelectedMoveCount(Long selectedMoveCount)

### getDepth

    public int getDepth()

### getBreadth

    public long getBreadth()

### getTreeId

    public String getTreeId()

### getUninitializedVariableCount

    public int getUninitializedVariableCount()

  Specified by:
    `getUninitializedVariableCount` in class `AbstractStepScope`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.